package com.tencent.mm.plugin.appbrand.widget.i;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.q;
import com.tencent.mm.sdk.g.d;

public final class i extends d {
    public i(String str, c cVar, q qVar) {
        super(str, cVar, qVar);
    }

    public final void aSg() {
        AppMethodBeat.i(87571);
        if (this.hwf.asE() == null || this.jpu == null) {
            this.jpv.a("Failed to load icon via temp file", this);
            AppMethodBeat.o(87571);
            return;
        }
        d.h(new 1(this), "TempFileIconLoader").start();
        AppMethodBeat.o(87571);
    }
}
